Bug 120275 - "Show details" boot option is not remembered
Summary: "Show details" boot option is not remembered
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhgb   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-07 15:13 UTC by Need Real Name
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 09:59:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2004-04-07 15:13:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
The "show details" option switches between novice and expert view in rhgb.
This setting is not remembered, but instead defaults to "Not very much
information" view.

This option should be persistent.

Comment 1 Jonathan Blandford 2004-04-14 22:35:12 UTC
Why should it be persistent?

Comment 2 Need Real Name 2004-04-14 22:47:50 UTC
If I'm a basic user, I don't want to see the detail.
If I'm a power user, I want to see see the detail.

Once I've decided which category I'm in, I'd like to stay there :)

Comment 3 Need Real Name 2004-05-04 23:11:36 UTC
Any idea if this will be fixed by RHEL4 - I'd like the option to see
boot messages on our servers without doing anything.

Comment 4 Need Real Name 2004-09-10 07:38:59 UTC
Problem still exists.
Upping to FC2.

Comment 5 Daniel Veillard 2004-09-10 10:13:45 UTC
For most users, "show details" is only needed if you have a 
problem being reported. 
Your point seems that you want to see the log messages on your
server, I don't see why desactivatng rhgb on them is not the
right option then. Can be as simple as rpm -e rhgb. Why is this
not the right solution if you want to see the boot messages ?
You can also suppress the rhgb kernel option in grub/lilo configuration
file.
I don't consider the normal behaviour a bug at this point, unless
you can explain why desactivating rhgb is not the right option.

Daniel

Comment 6 Need Real Name 2004-09-10 11:32:11 UTC
My sole reason for opening the bug is simplicity.

If a user wants to view the boot messages, the simplest way would be
for them to click the "show details" button. The setting would be
remembered.
If they then changed their mind later on, one click of the button
Switches them back. Simple.

It's true that rhgb could be removed (or "quiet"/"rhgb" removed from
/boot/grub/menu.lst), but that isn't nearly as simple.

Comment 7 Need Real Name 2004-10-12 09:59:25 UTC
FC3 seems to switch to non-graphical mode when it encounters an error,
so this bug can probably go away.
I'll reopen if I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.